Bug 443817 - Mangled characters in non UTF8 locales
Summary: Mangled characters in non UTF8 locales
Status: CLOSED CANTFIX
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact:
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-23 14:49 UTC by Guido Günther
Modified: 2010-03-16 17:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 19:08:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 465497 None None None Never
Debian BTS 486811 None None None Never

Description Guido Günther 2008-04-23 14:49:34 UTC
Description of problem:

Menues broken with non UTF8 locales

Version-Release number of selected component (if applicable):

0.5.4


How reproducible:

always

Steps to Reproduce:
1. LC_ALL=fr_FR@euro virt-manager
  
Actual results:
all accented characters look wrong in the menu (crossed boxes instead of characters)

Expected results:
display of accented characters

Additional info:
Same is true for german umlauts with de_DE@euro, de_DE@UTF-8 and fr_FR@UTF-8
work fine. This is on Debian Lenny.

Comment 1 Guido Günther 2008-06-20 09:57:48 UTC
...and when using iso8859-2 this even leads to a crach. See:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=486811


Comment 2 Cole Robinson 2009-11-16 19:08:49 UTC
Is this even really virt-manager related? Any segfault would have to be at the C level, so my guess is this is a gtk, glade, or some other library issue. Truthfully I'm not to savvy on this stuff so I wouldn't even know what to do in the first place.

Closing as CANTFIX, but please reopen if you think this is something defficient with virt-manager.


Note You need to log in before you can comment on or make changes to this bug.